play.mvc.results

## Class RenderJson

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.RenderJson

All Implemented Interfaces:
  java.io.Serializable

    public class RenderJson
    extends Result

200 OK with application/json

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RenderJson(java.lang.Object response)`
`RenderJson(java.lang.Object response, com.google.gson.Gson gson)`
`RenderJson(java.lang.Object response, com.google.gson.JsonSerializer<?>... adapters)`
`RenderJson(java.lang.Object response, java.lang.reflect.Type type)`
`RenderJson(java.lang.String jsonString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Http.Request request, Http.Response response)`
`java.lang.String` `getJson()`
`java.lang.Object` `getResponse()`

### Methods inherited from class play.mvc.results.Result

`getEncoding, setContentTypeIfNotSet`

### Methods inherited from class play.utils.FastRuntimeException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenderJson

    public RenderJson(java.lang.Object response)

#### RenderJson

    public RenderJson(java.lang.Object response,
                      java.lang.reflect.Type type)

#### RenderJson

    public RenderJson(java.lang.Object response,
                      com.google.gson.JsonSerializer<?>... adapters)

#### RenderJson

    public RenderJson(java.lang.String jsonString)

#### RenderJson

    public RenderJson(java.lang.Object response,
                      com.google.gson.Gson gson)

### Method Detail

#### apply

    public void apply(Http.Request request,
                      Http.Response response)

Specified by:
  `apply` in class `Result`

#### getJson

    public java.lang.String getJson()

#### getResponse

    public java.lang.Object getResponse()